% Sample code from the book: "Colored Petri Nets for 
% Modeling of Discrete Systems: A practical approach with GPenSIM"
% 
% Example-21: Scheduling with rescources
%   This example is to explain how resources are handled in GPenSIM 
%
% Reggie.Davidrajuh@uis.no (c) 12 April 2023  
% File: Main Simulation File (msf.m)


clear all; clc;
global global_info
global_info.STOP_AT = 30;

pns = pnstruct('schedule_w_resources_pdf');

dp.m0 = {'p01', 1};
dp.ft = {'T4',6,'T5',6, 'T6',2, 'T7',1,'T8',1, 'T9',0.1, 'allothers',3}; 
dp.re = {'developers',9, Inf};
pni = initialdynamics(pns, dp);

sim = gpensim(pni);
prnschedule(sim);
